//---------------------------------------------------------------------------

#ifndef fMainH
#define fMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:
   void __fastcall FormResize(TObject *Sender);
   void __fastcall FormPaint(TObject *Sender);
   void __fastcall FormCreate(TObject *Sender);
private:
   bool calculated;
   double left, bottom, right, top;//Scale
   void __fastcall scale(double left, double bottom, double right, double top);
   double __fastcall RatioX();
   double __fastcall RatioY();
   int __fastcall f2pX(double x);
   int __fastcall f2pY(double y);
   void __fastcall InitialCanvas();
   void __fastcall moveto(TCanvas *c, double x, double y);
   void __fastcall lineto(TCanvas *c, double x, double y);
   void __fastcall line(TCanvas *c, double x0, double y0, double x1, double y1);
public:
   __fastcall TForm1(TComponent* Owner);
   //
   //y=f(x)=x+x^2+x^3
   double __fastcall f(double x){return x+x*x+x*x*x;};
   //
   bool __fastcall MAXMIN(double* v, int len, double* M, double* N);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
